%define upstream_name    HTTP-Simple
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simple procedural interface to HTTP::Tiny
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module is a wrapper of the HTTP::Tiny manpage that provides simplified
functions for performing HTTP requests in a similar manner to the
LWP::Simple manpage, but with slightly more useful error handling. For full
control of the request process and response handling, use the HTTP::Tiny
manpage directly.

the IO::Socket::SSL manpage is required for HTTPS requests with the
HTTP::Tiny manpage.

Request methods that return the body content of the response will return a
byte string suitable for directly printing, but that may need to be
Encode/decode for text operations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.4.0-3.mga9
+ Revision: 1811693
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.4.0-2.mga8
+ Revision: 1526794
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.4.0-1.mga8
+ Revision: 1415873
- imported package perl-HTTP-Simple


* Sat Jun 29 2019 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
